@extends('web.includes.layout')

@section('og-title', '| ' . lang('download.title'))

@section('title', '| ' . lang('download.title'))

@push('head')

@endpush

@section('main_id', 'download')
@section('main')

<section>
    <div class="container">
        <h3 class="main-title">{{ lang('download.title') }}</h3>
        <div class="product-box">
            <div class="row">
                <div class="col-xl-3 col-lg-4">
                    <aside class="side-menu">
                        <div class="submenu-title">下載分類選單</div>
                        <ul class="submenu">

                        @isset ($download_class_tree[0])
                        @foreach ($download_class_tree[0] as $element)
                            <li class="@if($element['id'] == $level_1_class_id)active @endif"><a href="{{ url(Session::get('lang').'/download', ['level_1_class_id' => $element['id']]) }}">{{ $element['name'] }}</a></li>
                        @endforeach
                        @endisset

                        </ul>
                    </aside>
                </div>
                <div class="col-xl-9 col-lg-8">
                    <ul class="news-list box-2-mt">

                    @foreach ($download as $element)
                        <li>
                            <div class="new">{{ $element['sub_name'] }}</div>
                            <div class="list-title">
                                <a>{{ $element['name'] }}</a>
                            </div>
                            <a @if(!empty($element['file'])) href="{{ url(Session::get('lang').'/tool-download', ['table' => config('download.table'), 'column' => 'file', 'id' => $element['id']]) }}?note=" @endif><i class="fas fa-download"></i></a>
                        </li>
                    @endforeach

                    </ul>
                    <!--pagination-->
                    <nav class="pagination-container text-center">
                        <ul class="pagination">

                        @if ($download->lastPage() > 1)
                            @if ($download->currentPage() > 1)
                                {{-- <a href="{{ $download->url($download->currentPage() - 1) }}" class="pre">上一頁</a> --}}
                            @endif

                            @for ($i = 1; $i <= $download->lastPage() ; $i++)
                                @if ($i == $download->currentPage())
                                    <li class="active"><a href="javascript:;">{{ $i }}</a></li>
                                @else
                                    <li><a href="{{ $download->url($i) }}">{{ $i }}</a></li>
                                @endif
                            @endfor

                            @if ($download->currentPage() < $download->lastPage())
                                {{-- <a href="{{ $download->url($download->currentPage() + 1) }}" class="next">下一頁</a> --}}
                            @endif
                        @endif

                        </ul>
                    </nav>
                    <!---->

                </div>
            </div>
        </div>
    </div>
</section>

@endsection