// CSRF
$.ajaxSetup({
    headers: {
        'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
    }
});	

// Global error
$(document).ajaxError(function(event, xhr, settings, thrownError) {
	switch (xhr.status) {
		case 405:
			alert_box('連線逾時，請重新操作');	
			$('#alert_area .close').click(function(event) { history.go(0); });
			
			break;
		case 422:
        	var message = '';
        	
        	$.each($.parseJSON(xhr.responseText), function(key, value) {
        		message += value + '<br>';
        	})

        	alert_box(message);	

            if (typeof grecaptcha === "object") {
                grecaptcha.reset();
            }	        	
            
            return false;				
			break;
		default:
			alert_box('發生錯誤,狀態碼：' + xhr.status);
			$('#alert_area .close').click(function(event) { history.go(0); });
	}
});	

/**
 * 警告視窗
 */	
function alert_box($string) {
	if(typeof $string == 'string') {
		if($string != '') {
        	$('#alert_area').find('i.content').html($string);
        	$('#alert_area').addClass('active');			
		}
	}
}

/**
 * 驗證器
 * 
 * @param  string $form    		
 * @param  string $rule        
 * @param  string $rule_message Config
 */
function validate($form, $rule, $rule_message) {
	var formData = new FormData($($form)[0]); 

	formData.append('rule', $rule);
	formData.append('rule_message', $rule_message);

    $.ajax({
        url: base_path + 'tool-ajax-validate',                
        dataType: 'json',
        type:'POST',
        data: formData,  
        cache: false,
        contentType: false,
        processData: false,	            
        error: function(xhr) {}, 
        success: function(response) { 
        	$($form).submit();
        }
    });    	
};	  	

/**
 * 圖片編輯視窗
 *
 * image_url 請先利用 base64_encode 傳進來, js本身的需要另外裝js或者原生函數(只支援IE10以上)
 */	
function image_editor_box($image_url) {
	$.colorbox({
		href: base_path + 'image-editor/' + $image_url,
		iframe: true, 
		innerWidth: 1000, 
		innerHeight: 640,
	});
}