<?php
// ************************原則************************
//        1. 目前依照前端頁面所看到的 "由上往下" 呈現
// ****************************************************

$seo = \DB::table(config('seo.table'))->get()->groupBy('tag');

return [

	'web_title' => $seo['default'][0]['title'], // 後台seo設定控制
	'address'   => '',

	'language' => [
		'tw' => '繁體中文',
		'cn' => '简体中文',
		'en' => 'English',
	],

	'header' => [

	],

	// 首頁
	'home' => [
		'title' => '首頁',

		'about' => [
			'main-title' => '關於群賀',
			'p' => '　　群賀創新科技股份有限公司設立於民國 106 年 06 月 27 日。<br>營運總部位於台灣新竹，從事資訊安全加密晶片研發、設計、製造與買賣等業務。<br>群賀創新技術團隊，均為台灣科技界頂尖人才，具備豐富加解密晶片研發技術工作經驗。',
		],

		'product-new' => [
			'main-title' => '產品優勢',
		],

		'product-home' => [
			'main-title' => '支援服務與應用',
		],

		'affiliate' => [
			'main-title' => '合作企業',
		],

		'news' => [
			'main-title' => '重要消息',
		],

		'more' => '查看更多',
	],

	// 關於群賀
	'about' => [
		'title' => '關於群賀',
		'sub_title' => '公司概要',

		'info-box' => [
			'row' => [
				1 => [
					'title' => '公司名稱',
					'info'  => '<p>群賀創新科技股份有限公司<br>MJcrypt Technology Corporation</p>',
				],
				2 => [
					'title' => '創立日期',
					'info'  => '<p>2017/06/27</p>',
				],
				3 => [
					'title' => '產業類別',
					'info'  => 'IC Design House（晶片研發）',
				],
				4 => [
					'title' => '總部',
					'info'  =>
						'<p>30264 新竹縣竹北市光明六路東一段255號15樓</p>
	                    <p>TEL: (03)658-0199 ext.11（總機）</p>
	                    <p>FAX: (03)658-0299</p>',
				],
				5 => [
					'title' => '主要商品',
					'info'  => '加解密晶片',
				],
			],
		],
	],

	// 經營理念
	'about-2' => [
		'title' => '經營理念',

		'info' =>
			'<b class="text-primary">　　2019年起未來30年全世界預估將會是一場AI與資訊安全的世界大戰，而資訊安全也就等同是國家安全。</b><br><br>
            <p>　　一個國家無論網路、金融、電子郵件、行動支付、電腦資料及衛星通訊，無一與資訊安全不相關，一旦資訊安全受到威脅也等同國家安全受到威脅。</p><br>
            <p>　　近幾年來從iCloud美國百大明星裸照與性愛影片外流、美國CIA斯諾登(Snowden)逃往俄羅斯並說明了美國可以竊聽手機語音與網路封包、臺灣遠東銀行被駭客網路轉帳6,000萬美元、美國總統大選郵件門事件與身分證投票事件，及淘寶被駭客入侵轉帳等等，都說明了即使全世界最強國家也都擋不住駭客入侵，資訊安全也等同是國家安全。</p><br>
            <p>　　市面上的一般硬體加密技術，幾乎都只能對儲存器做加密的動作，我方產品不僅可以將儲存器加密，更可做到單一檔案的加密、資料夾的加密、雲端的同步加密等等。我方雖擋不住駭客的盜取，卻可以讓盜取的資料無法解碼。</p><br>
            <b>　　而本公司採用硬體加密技術是屬於超高強度的規格，全新的加密方式與創時代的應用理念將會把世界資訊安全推向另一個前所未達的領域。</b>',

		'sign' => '執行長： <span>Major</span>',
	],

	// 營運組織
	'about-3' => [
		'title' => '營運組織',
	],

	// 重要消息
	'news' => [
		'title' => '重要消息',

		'back'  => '回上頁',
	],

	// 產品資訊
	'product' => [
		'title' => '產品資訊',

		'editor-box' => [
			'title' => '產品介紹',
		],

		'back'  => '回上頁',

		'search' => [
			'title' => '搜尋產品',
		],
	],

	// 下載中心
	'download' => [
		'title' => '下載中心',
	],

	// 聯絡我們
	'contact' => [
		'title' => '聯絡我們',

		'contact-info' =>
			'<p><span>電話 :</span><a href="tel:+886-3-6580199">+886 - 3 - 6580199</a></p>
            <p><span>傳真 :</span>+886 - 3 - 6580299</p>
            <p><span>地址 :</span>30264 台灣新竹縣竹北市光明六路一段255號15樓</p>
            <p><span>統一編號 :</span>52790808</p>
            <p><span>服務信箱 :</span><a href="mailto:salesg@mjcrypt.com.tw">salesg@mjcrypt.com.tw</a></p>',

	    'rule_message' => [
	        'company'  => [
	        	'required' => '公司名稱 尚未填寫',
	        ],

	        'unit'  => [
	        	'required' => '單位 尚未填寫',
	        ],

	        'name'  => [
	        	'required' => '姓名 尚未填寫',
	        ],

	        'job_title'  => [
	        	'required' => '職稱 尚未填寫',
	        ],

	        'tel'   => [
				'required' => '電話 尚未填寫',
				'numeric'  => '電話 請輸入數字'
	        ],

	        'email' => [
				'required' => 'E-mail 尚未填寫',
				'format'   => 'E-mail 格式錯誤',
	        ],

	        'subject'  => [
	        	'required' => '主旨 尚未填寫',
	        ],

	        'info'  => [
	        	'required' => '內容 尚未填寫',
	        ],

	        'captcha'  => [
				'required' => '驗證碼 尚未填寫',
				'in'       => '驗證碼 輸入錯誤',
	        ],

	        'g-recaptcha-response'  => [
				'required' => '請確認你不是機器人!',
				'captcha'  => '驗證錯誤! 請稍後再試或者聯繫網站管理員',
	        ],
	    ],

	    'form' => [
			'company'   => '公司名稱',
			'email'     => 'E-mail',
			'unit'      => '單位',
			'name'      => '姓名',
			'job_title' => '職稱',
			'tel'       => '電話',
			'subject'   => '主旨',
			'info'      => '內容',
			'NoCaptcha' => [
				'lang' => 'zh-TW',
			],
			'send' => '送出',
	    ],

		'data_error'     => '資料有誤，請重新填寫',
		'send_mail_fail' => '信件寄送失敗',
		'process_msg'    => '感謝您的留言',

		'google-map' => [
			'lang' => 'zh-TW',
		],
	],

	// footer
	'footer' => [
		'address' => [
			'title' => '地址',
			'info'  => '30264 新竹縣竹北市光明六路東一段 255 號 15F',
		],
		'tel' => [
			'title' => '電話',
			'info'  => '+886-3-6580199',
		],
		'time' => [
			'title' => '時間',
			'info'  => '週一至週五，09:30-18:30',
		],
		'copyright' => [
			'author' => '網頁設計',
		],
	],
];